%define desktop_vendor planetccrma

Summary: Jack audio sample analysis tool
Name: bitmeter
Version: 1.2
Release: 3%{?dist}
License: GPL
Group: Applications/Multimedia
URL: http://www.ecs.soton.ac.uk/~njl98r/code/audio/
Source0: http://www.ecs.soton.ac.uk/~njl98r/code/audio/source/bitmeter-%{version}.tar.gz
Source1: bitmeter.desktop
Patch0: bitmeter-1.2-lm.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: hicolor-icon-theme
Packager: Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

Obsoletes: bitscope <= 1.1
Provides: bitscope

BuildRequires: pkgconfig desktop-file-utils 
BuildRequires: gtk2-devel jack-audio-connection-kit-devel
# we need to recreate things because of patch0
BuildRequires: autoconf automake libtool

%description
JACK bitmeter is a diagnosis tool for JACK audio software on Linux
(and perhaps other systems which have JACK and GTK+ 2.x). As its name
might suggest, the bitmeter operates at the bare metal of JACK's I/O
layer, looking at the 32 binary digits in each individual sample.

%prep
%setup -q
%patch0 -p1

%build
./autogen.sh
%configure
%{__make}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

# copy icon to the proper freedesktop location
%{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
%{__cp} -p %{buildroot}%{_datadir}/bitmeter/pixmaps/bitmeter.xpm \
           %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/

# desktop file categories
BASE="Application AudioVideo Audio"
XTRA="X-Jack X-Audio_Tools"

%{__mkdir} -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications    \
  `for c in ${BASE} ${XTRA} ; do echo "--add-category $c " ; done` \
  %{SOURCE1}

%clean
%{__rm} -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-,root,root,-)
%doc
%{_bindir}/*
%{_datadir}/bitmeter
%{_datadir}/pixmaps/*
%exclude %{_datadir}/applications/bitmeter.desktop
%{_datadir}/applications/%{desktop_vendor}-bitmeter.desktop
%{_datadir}/icons/hicolor/32x32/apps/*xpm

%changelog
* Wed May 19 2010 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.2-3
- added patch to link with -lm in fc13

* Wed Nov 14 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- updated desktop categories

* Fri Nov 24 2006 Fernando Pablo Lopez-Lezcano <nando@cmn37.Stanford.EDU> 1.2-2
- spec file tweaks, use a separate desktop file, copy icon to the proper
  freedesktop destination, add icon post/postun scripts

* Sat May 13 2006 Fernando Pablo Lopez-Lezcano <nando@cmn37.Stanford.EDU> 1.2-1
- updated to 1.2, name of package changed from bitscope to bitmeter
- added desktop entry with Planet CCRMA categories

* Wed Dec 29 2004 Fernando Pablo Lopez-Lezcano <nando@cmn37.Stanford.EDU> 
- spec file cleanup

* Tue Aug 10 2004 Fernando Pablo Lopez-Lezcano <nando@cmn37.Stanford.EDU> - 1.1-1
- initial build.
